---
document: modulemd
version: 2
data:
  name: log4j
  stream: "2"
  version: 8080020230407051329
  context: 7dadbc74
  arch: x86_64
  summary: Java logging library
  description: >-
    Log4j is a popular Java logging library that allows the programmer to output log
    statements to a variety of output targets.
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      javapackages-tools: [201902]
      platform: [el8]
    requires:
      platform: [el8]
  profiles:
    common:
      rpms:
      - log4j
  api:
    rpms:
    - log4j
    - log4j-jcl
    - log4j-slf4j
  filter:
    rpms:
    - disruptor-javadoc
    - jctools-javadoc
  components:
    rpms:
      disruptor:
        rationale: Dependency of log4j.
        ref: af1c20eed21a9d8ccb9d1c26716012eb2027829c
        buildorder: 10
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      jctools:
        rationale: Dependency of log4j.
        ref: bcee3830ba70bff2bc71caad99d02ac5d672518e
        buildorder: 10
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      log4j:
        rationale: Module API.
        ref: b72bf25382320b22c66188b575681573ef2c7005
        buildorder: 20
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
  artifacts:
    rpms:
    - disruptor-0:3.4.4-2.module_el8.6.0+2885+57fd4498.noarch
    - disruptor-0:3.4.4-2.module_el8.6.0+2885+57fd4498.src
    - jctools-0:3.3.0-3.module_el8.6.0+2885+57fd4498.noarch
    - jctools-0:3.3.0-3.module_el8.6.0+2885+57fd4498.src
    - log4j-0:2.17.2-1.module_el8.8.0+3516+e49bddf9.noarch
    - log4j-0:2.17.2-1.module_el8.8.0+3516+e49bddf9.src
    - log4j-jcl-0:2.17.2-1.module_el8.8.0+3516+e49bddf9.noarch
    - log4j-slf4j-0:2.17.2-1.module_el8.8.0+3516+e49bddf9.noarch
    - log4j-web-0:2.17.2-1.module_el8.8.0+3516+e49bddf9.noarch
...
---
document: modulemd
version: 2
data:
  name: log4j-devel
  stream: "2"
  version: 8080020230407051329
  context: 7dadbc74
  arch: x86_64
  summary: Java logging library
  description: >-
    Log4j is a popular Java logging library that allows the programmer to output log
    statements to a variety of output targets.
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      javapackages-tools: [201902]
      platform: [el8]
    requires:
      log4j: [2]
      platform: [el8]
  profiles:
    common:
      rpms:
      - log4j
  api:
    rpms:
    - log4j
    - log4j-jcl
    - log4j-slf4j
  filter:
    rpms:
    - disruptor-javadoc
    - jctools-javadoc
  components:
    rpms:
      disruptor:
        rationale: Dependency of log4j.
        ref: af1c20eed21a9d8ccb9d1c26716012eb2027829c
        buildorder: 10
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      jctools:
        rationale: Dependency of log4j.
        ref: bcee3830ba70bff2bc71caad99d02ac5d672518e
        buildorder: 10
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      log4j:
        rationale: Module API.
        ref: b72bf25382320b22c66188b575681573ef2c7005
        buildorder: 20
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
...
